summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authoracinonyx <acinonyx@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-04-05 15:09:43 +0000
committeracinonyx <acinonyx@3c298f89-4303-0410-b956-a3cf2f4a3e73>2011-04-05 15:09:43 +0000
commitf6d755eda4c0e0a068aa8de2504e16ab81a20bc0 (patch)
tree51ebf21e09e06ad12b238ba7e3315077c40ce4ce
parent9975b770c81535b2e823a2b4b4bc1f6568720a3f (diff)
[package] base-files: Use -h instead of deprecated -L for symlink check
git-svn-id: svn://svn.openwrt.org/openwrt/trunk@26485 3c298f89-4303-0410-b956-a3cf2f4a3e73
-rwxr-xr-xpackage/base-files/files/etc/init.d/boot2
1 files changed, 1 insertions, 1 deletions
diff --git a/package/base-files/files/etc/init.d/boot b/package/base-files/files/etc/init.d/boot
index 12f382502..c3019df04 100755
--- a/package/base-files/files/etc/init.d/boot
+++ b/package/base-files/files/etc/init.d/boot
@@ -74,7 +74,7 @@ start() {
done
# create /dev/root if it doesn't exist
- [ -e /dev/root -o -L /dev/root ] || {
+ [ -e /dev/root -o -h /dev/root ] || {
rootdev=$(awk 'BEGIN { RS=" "; FS="="; } $1 == "root" { print $2 }' < /proc/cmdline)
[ -n "$rootdev" ] && ln -s "$rootdev" /dev/root
}